Get Member

Retrieves a single member for the authenticated SP Digital business. Example curl: ``` bash curl --request POST '{{base_url}}/sp/members/get' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "phone_number": "+6590000001" }' ``` Example success response shape: ``` json { "success": true, "message": "OK", "data": { "member_id": 123, "contact_id": 456, "first_name": "John", "last_name": "Doe", "phone_number": "+6590000001", "email": "john.doe@example.com", "wallet_balance": 25, "reward_points_balance": 120 }, "meta": {} } ``` Example error response shape: ``` json { "success": false, "message": "Member not found.", "error": { "code": "member_not_found", "details": {} } } ``` Common platform errors: - `unauthorized` - `sp_scope_not_granted` - `sp_token_scope_missing` - `sp_integration_not_found` - `sp_location_not_allowed` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
dataobject
metaobject